## AgsRecallChannelRun

AgsRecallChannelRun — The recall base class of dynamic channel context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRecallAudio * | ags_recall_channel_run_get_recall_audio ()
void | ags_recall_channel_run_set_recall_audio ()
AgsRecallAudioRun * | ags_recall_channel_run_get_recall_audio_run ()
void | ags_recall_channel_run_set_recall_audio_run ()
AgsRecallChannel * | ags_recall_channel_run_get_recall_channel ()
void | ags_recall_channel_run_set_recall_channel ()
AgsChannel * | ags_recall_channel_run_get_destination ()
void | ags_recall_channel_run_set_destination ()
AgsChannel * | ags_recall_channel_run_get_source ()
void | ags_recall_channel_run_set_source ()
AgsRecallChannelRun * | ags_recall_channel_run_new ()

## Properties

AgsChannel * | destination | Read / Write
AgsRecallAudio * | recall-audio | Read / Write
AgsRecallAudioRun * | recall-audio-run | Read / Write
AgsRecallChannel * | recall-channel | Read / Write
AgsChannel * | source | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannelRun
                ├── AgsFxAnalyseChannelProcessor
                ├── AgsFxBufferChannelProcessor
                ├── AgsFxNotationChannelProcessor
                ├── AgsFxEnvelopeChannelProcessor
                ├── AgsFxEq10ChannelProcessor
                ├── AgsFxHighPassChannelProcessor
                ├── AgsFxLadspaChannelProcessor
                ├── AgsFxLfoChannelProcessor
                ├── AgsFxLowPassChannelProcessor
                ├── AgsFxPatternChannelProcessor
                ├── AgsFxPeakChannelProcessor
                ├── AgsFxPlaybackChannelProcessor
                ├── AgsFxTremoloChannelProcessor
                ├── AgsFxTwoPassAliaseChannelProcessor
                ├── AgsFxVolumeChannelProcessor
                ├── AgsFxWahWahChannelProcessor
                ╰── AgsGenericRecallChannelRun

## Includes

    #include <ags/audio/ags_recall_channel_run.h>

## Description

AgsRecallChannelRun acts as dynamic channel recall. It does audio processing for channel context.

## Functions

### ags_recall_channel_run_get_recall_audio ()

    AgsRecallAudio *
    ags_recall_channel_run_get_recall_audio
                                   (AgsRecallChannelRun *recall_channel_run);

Get recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |

#### Returns

the AgsRecallAudio.

[transfer full]

Since: 3.1.0

### ags_recall_channel_run_set_recall_audio ()

    void
    ags_recall_channel_run_set_recall_audio
                                   (AgsRecallChannelRun *recall_channel_run,
                                    AgsRecallAudio *recall_audio);

Set recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |
recall_audio | the AgsRecallAudio |

Since: 3.1.0

### ags_recall_channel_run_get_recall_audio_run ()

    AgsRecallAudioRun *
    ags_recall_channel_run_get_recall_audio_run
                                   (AgsRecallChannelRun *recall_channel_run);

Get recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |

#### Returns

the AgsRecallAudioRun.

[transfer full]

Since: 3.1.0

### ags_recall_channel_run_set_recall_audio_run ()

    void
    ags_recall_channel_run_set_recall_audio_run
                                   (AgsRecallChannelRun *recall_channel_run,
                                    AgsRecallAudioRun *recall_audio_run);

Set recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |
recall_audio_run | the AgsRecallAudioRun |

Since: 3.1.0

### ags_recall_channel_run_get_recall_channel ()

    AgsRecallChannel *
    ags_recall_channel_run_get_recall_channel
                                   (AgsRecallChannelRun *recall_channel_run);

Get recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |

#### Returns

the AgsRecallChannel.

[transfer full]

Since: 3.1.0

### ags_recall_channel_run_set_recall_channel ()

    void
    ags_recall_channel_run_set_recall_channel
                                   (AgsRecallChannelRun *recall_channel_run,
                                    AgsRecallChannel *recall_channel);

Set recall audio.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |
recall_channel | the AgsRecallChannel |

Since: 3.1.0

### ags_recall_channel_run_get_destination ()

    AgsChannel *
    ags_recall_channel_run_get_destination
                                   (AgsRecallChannelRun *recall_channel_run);

Get destination.

#### Parameters

recall_channel_run | the AgsRecallDestination |

#### Returns

the AgsDestination.

[transfer full]

Since: 3.1.0

### ags_recall_channel_run_set_destination ()

    void
    ags_recall_channel_run_set_destination
                                   (AgsRecallChannelRun *recall_channel_run,
                                    AgsChannel *destination);

Set destination.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |
destination | the AgsChannel |

Since: 3.1.0

### ags_recall_channel_run_get_source ()

    AgsChannel *
    ags_recall_channel_run_get_source (AgsRecallChannelRun *recall_channel_run);

Get source.

#### Parameters

recall_channel_run | the AgsRecallSource |

#### Returns

the AgsSource.

[transfer full]

Since: 3.1.0

### ags_recall_channel_run_set_source ()

    void
    ags_recall_channel_run_set_source (AgsRecallChannelRun *recall_channel_run,
                                       AgsChannel *source);

Set source.

#### Parameters

recall_channel_run | the AgsRecallChannelRun |
source | the AgsChannel |

Since: 3.1.0

### ags_recall_channel_run_new ()

    AgsRecallChannelRun *
    ags_recall_channel_run_new ();

Creates an AgsRecallChannelRun

#### Returns

a new AgsRecallChannelRun

Since: 3.0.0

## Property Details

### The `“destination”` property

      “destination”              AgsChannel *

The channel to do output to.

Owner: AgsRecallChannelRun

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio”` property

      “recall-audio”             AgsRecallAudio *

The audio context of this recall.

Owner: AgsRecallChannelRun

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio-run”` property

      “recall-audio-run”         AgsRecallAudioRun *

The audio run context of this recall.

Owner: AgsRecallChannelRun

Flags: Read / Write

Since: 3.0.0

### The `“recall-channel”` property

      “recall-channel”           AgsRecallChannel *

The channel context of this recall.

Owner: AgsRecallChannelRun

Flags: Read / Write

Since: 3.0.0

### The `“source”` property

      “source”                   AgsChannel *

The channel to do input from.

Owner: AgsRecallChannelRun

Flags: Read / Write

Since: 3.0.0